Bug 446477 - Breeze icon being shown despite current icon theme not having Breeze in its fallback chain
Summary: Breeze icon being shown despite current icon theme not having Breeze in its f...
Status: REPORTED
Alias: None
Product: frameworks-kiconthemes
Classification: Unclassified
Component: general (show other bugs)
Version: 5.88.0
Platform: Manjaro Linux
: NOR normal
Target Milestone: ---
Assignee: Christoph Feck
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2021-12-04 15:18 UTC by William
Modified: 2022-01-08 16:16 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description William 2021-12-04 15:18:13 UTC
STEPS TO REPRODUCE
1. Use icon theme that inherits nothing but hicolor in index.theme
2. test an app that has an icon in hicolor and breeze themes but not in your theme


OBSERVED RESULT
the app uses the "wrong" icon from the breeze theme even though ur inherits chain should check first (and only) in hicolor

EXPECTED RESULT
the app icon that is present in hicolor theme is used

SOFTWARE/OS VERSIONS

Linux/KDE Plasma: 5.15.2-2-Manjaro (64bit) [manjaro stable]
KDE Plasma Version: 5.23.3
KDE Frameworks Version: 5.88.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
might be related to https://bugs.kde.org/show_bug.cgi?id=445804
Comment 1 William 2021-12-04 15:22:01 UTC
obviously the icon theme from step 1 is not breeze itself.
Comment 2 William 2021-12-04 15:24:07 UTC
sry i meant it might be related to this commit: https://github.com/KDE/kiconthemes/commit/de3a1abb1839136322f32f2782f9592280b2bbd3
Comment 3 Nate Graham 2021-12-04 15:25:48 UTC
Can you test with Frameworks 5.89 once it's released in a week? If that fixes it, then it's the same issue as Bug 445804.
Comment 4 William 2021-12-04 20:01:16 UTC
(In reply to Nate Graham from comment #3)
> Can you test with Frameworks 5.89 once it's released in a week? If that
> fixes it, then it's the same issue as Bug 445804.

I can test it right now on KDE Neon Unstable Edition with frameworks 5.89.0 and the bahaviour is still exactly the same. breeze icons show up for apps even though the breeze icon theme is nowhere in the inherits chain and the icon exists in hicolor theme.
Comment 5 Nate Graham 2021-12-05 17:31:44 UTC
OK, thanks. It does seem like a different issue.
Comment 6 William 2022-01-01 19:17:22 UTC
i dont wanna exagerate here but isnt this kinda a big issue? people who use different icon-themes to not want to have apps icons falling back to breeze, apps like Steam bring their own icon and with this bug alive those icons will never be used in any case, beacuse there exists a steam icon in the breeze-icon theme.